# VecGetBlockSize

Gets the blocksize for the vector, i.e. what is used for VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetBlockSize(Vec v,PetscInt *bs)

Collective on Vec

### Input Parameter

v -the vector

### Output Parameter

bs -the blocksize

### C++ variants

| PetscInt VecGetBlockSize(Vec x) |  | -> |  | VecGetBlockSize(x,&i); return i;

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize.

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMappingBlock(), VecSetBlockSize()

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages